public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/ntfs3g/
Date: Fri, 27 May 2022 16:06:14 +0000 (UTC)	[thread overview]
Message-ID: <1653667550.11a9a9dae6476c69f140bbf2938e75b6b11c3959.floppym@gentoo> (raw)

commit:     11a9a9dae6476c69f140bbf2938e75b6b11c3959
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri May 27 16:05:09 2022 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri May 27 16:05:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11a9a9da

sys-fs/ntfs3g: add 2022.5.17

Bug: https://bugs.gentoo.org/847598
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-fs/ntfs3g/Manifest                |  1 +
 sys-fs/ntfs3g/ntfs3g-2022.5.17.ebuild | 83 +++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/sys-fs/ntfs3g/Manifest b/sys-fs/ntfs3g/Manifest
index 44a4ffdeed56..0934b57fac7f 100644
--- a/sys-fs/ntfs3g/Manifest
+++ b/sys-fs/ntfs3g/Manifest
@@ -1 +1,2 @@
 DIST ntfs-3g_ntfsprogs-2021.8.22.tgz 1317499 BLAKE2B 403036c68a37ba83873b5faadbb2088deb25e0ff31deb1958d4f869a198d830caa44edea879492a7894f5e7a5ad6205a6fda57bf8de722ce49bf3187239ad993 SHA512 e0544df78a6c352999e1206d7b5d71c56e39396b7a0936a261d728c2ac9d61c6b95ef297f8529ac2a5146f31c1c9e43066d3e281064d4f5d781a04eba51f536d
+DIST ntfs-3g_ntfsprogs-2022.5.17.tgz 1318476 BLAKE2B 0f3d5b3ca6186886b1a4f1fc59242a1f4ccdc842cbe53b0869f707c1dbebdd58058d40b265dae663b71a2a611f7ce5392c63afa3053dc075155759c10499d529 SHA512 25e6d3412958576b0cd614f5d93201c0d7e8bbee78fbaf956718a3825c1435b3f0c3631ea1cc60b5b1be6e9ae7d58c0c03b0bebb69edee3bf181a966734336df

diff --git a/sys-fs/ntfs3g/ntfs3g-2022.5.17.ebuild b/sys-fs/ntfs3g/ntfs3g-2022.5.17.ebuild
new file mode 100644
index 000000000000..333eeaf0b761
--- /dev/null
+++ b/sys-fs/ntfs3g/ntfs3g-2022.5.17.ebuild
@@ -0,0 +1,83 @@
+# Copyright 2006-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="ntfs-3g_ntfsprogs-${PV}"
+
+DESCRIPTION="Open source read-write NTFS driver that runs under FUSE"
+HOMEPAGE="http://www.tuxera.com/community/ntfs-3g-download/"
+HOMEPAGE="https://jp-andre.pagesperso-orange.fr/advanced-ntfs-3g.html"
+SRC_URI="http://tuxera.com/opensource/${MY_P}.tgz"
+
+LICENSE="GPL-2"
+# The subslot matches the SONAME major #.
+SLOT="0/89"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="acl debug +fuse +mount-ntfs ntfsdecrypt +ntfsprogs static-libs suid xattr"
+
+RDEPEND="
+	sys-apps/util-linux:0=
+	ntfsdecrypt? (
+		>=dev-libs/libgcrypt-1.2.2:0
+		>=net-libs/gnutls-1.4.4
+	)
+"
+DEPEND="${RDEPEND}
+	sys-apps/attr
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+	tc-ld-disable-gold
+
+	local myconf=(
+		# passing --exec-prefix is needed as the build system is trying to be clever
+		# and install itself into / instead of /usr in order to be compatible with
+		# separate-/usr setups (which we don't support without an initrd).
+		--exec-prefix="${EPREFIX}"/usr
+
+		--disable-ldconfig
+		--enable-extras
+		$(use_enable debug)
+		$(use_enable fuse ntfs-3g)
+		$(use_enable acl posix-acls)
+		$(use_enable xattr xattr-mappings)
+		$(use_enable ntfsdecrypt crypto)
+		$(use_enable ntfsprogs)
+		$(use_enable static-libs static)
+
+		--with-uuid
+
+		# disable hd library until we have the right library in the tree and
+		# don't links to hwinfo one causing issues like bug #602360
+		--without-hd
+
+		# Needed for suid
+		# https://bugs.gentoo.org/822024
+		--with-fuse=internal
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+	if use fuse; then
+		# Plugins directory
+		keepdir "/usr/$(get_libdir)/ntfs-3g"
+		if use suid; then
+			fperms u+s /usr/bin/ntfs-3g
+		fi
+		if use mount-ntfs; then
+			dosym mount.ntfs-3g /sbin/mount.ntfs
+		fi
+	fi
+	find "${ED}" -name '*.la' -type f -delete || die
+}


             reply	other threads:[~2022-05-27 16:06 UTC|newest]

Thread overview: 103+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-27 16:06 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-05  5:03 [gentoo-commits] repo/gentoo:master commit in: sys-fs/ntfs3g/ Sam James
2022-11-08 17:02 Mike Gilbert
2022-11-08  5:00 Jakov Smolić
2022-11-02 20:07 Sam James
2022-10-31 18:44 Arthur Zamarin
2022-10-31 18:31 Arthur Zamarin
2022-10-31 18:31 Arthur Zamarin
2022-10-31 18:29 Arthur Zamarin
2022-10-31 18:26 Arthur Zamarin
2022-10-31 17:30 Mike Gilbert
2022-10-31 17:30 Mike Gilbert
2022-09-22  1:09 Sam James
2022-05-27 21:21 Mike Gilbert
2022-05-27 19:35 Jakov Smolić
2022-05-27 18:01 Jakov Smolić
2022-05-27 17:18 Jakov Smolić
2022-05-27 17:18 Jakov Smolić
2022-05-27 17:12 Jakov Smolić
2022-05-27 17:12 Jakov Smolić
2022-05-27 17:12 Jakov Smolić
2022-05-26  5:06 WANG Xuerui
2022-05-02 21:18 Mike Gilbert
2022-05-02 21:18 Mike Gilbert
2022-02-26  9:17 Agostino Sarubbo
2022-02-26  9:16 Agostino Sarubbo
2022-02-26  9:15 Agostino Sarubbo
2022-02-25 21:43 Sam James
2022-02-25 20:44 Arthur Zamarin
2022-02-25 18:32 Sam James
2022-02-25 18:32 Sam James
2021-11-07  0:29 Mike Gilbert
2021-11-07  0:29 Mike Gilbert
2021-11-07  0:29 Mike Gilbert
2021-11-06 13:40 Mike Gilbert
2021-11-06  2:14 Mike Gilbert
2021-11-06  2:14 Mike Gilbert
2021-11-05 23:17 Mike Gilbert
2021-11-05 23:12 Mike Gilbert
2021-11-05 23:12 Mike Gilbert
2021-10-29  5:55 Agostino Sarubbo
2021-10-29  5:54 Agostino Sarubbo
2021-10-20  0:22 Sam James
2021-10-20  0:22 Sam James
2021-10-18 15:22 Agostino Sarubbo
2021-10-18 15:18 Agostino Sarubbo
2021-10-18  7:01 Agostino Sarubbo
2021-09-27 22:05 Marek Szuba
2021-08-31  8:19 Lars Wendler
2021-08-03 11:03 Sam James
2021-05-14  9:35 Agostino Sarubbo
2021-05-13 18:58 Sam James
2021-05-13 18:56 Sam James
2021-05-13 17:53 Sam James
2021-05-13 16:37 Sam James
2021-05-13 16:24 Sam James
2020-12-20  0:50 Mike Gilbert
2020-12-20  0:50 Mike Gilbert
2020-06-10  0:31 Mike Gilbert
2020-06-09 23:41 Mike Gilbert
2020-04-23 10:40 Agostino Sarubbo
2020-04-23  6:29 Agostino Sarubbo
2020-04-23  6:28 Agostino Sarubbo
2020-04-23  6:24 Agostino Sarubbo
2020-04-23  6:21 Agostino Sarubbo
2020-04-22 17:01 Agostino Sarubbo
2020-02-15 10:03 David Seifert
2019-05-02 21:37 Mikle Kolyada
2019-05-02 21:37 Mikle Kolyada
2019-04-24 21:33 Thomas Deutschmann
2019-04-23 20:59 Sergei Trofimovich
2019-04-23 19:26 Mikle Kolyada
2018-07-10  4:58 Markus Meier
2018-06-26 20:53 Richard Farina
2018-06-25 16:06 Tobias Klausmann
2018-06-23  9:55 Mikle Kolyada
2018-06-21 19:21 Sergei Trofimovich
2018-01-05  0:37 Mart Raudsepp
2017-04-17 20:53 Patrick McLean
2017-02-21 15:01 Jeroen Roovers
2017-02-17 23:22 Lars Wendler
2017-02-17 22:47 Michael Weber
2017-02-15 17:31 Markus Meier
2017-02-12 15:44 Agostino Sarubbo
2017-02-10 19:31 Patrick McLean
2017-02-04 15:21 Agostino Sarubbo
2017-02-02 17:09 Tobias Klausmann
2016-12-17 15:22 Markus Meier
2016-12-06 11:53 Agostino Sarubbo
2016-12-06 11:50 Agostino Sarubbo
2016-12-05 15:49 Tobias Klausmann
2016-08-06 10:17 Pacho Ramos
2016-07-08 10:02 Agostino Sarubbo
2016-07-08  7:53 Agostino Sarubbo
2016-06-27  8:47 Agostino Sarubbo
2016-06-16  8:54 Jeroen Roovers
2016-06-11 13:17 Markus Meier
2016-06-10 13:01 Agostino Sarubbo
2016-06-07  7:13 Tobias Klausmann
2016-05-23 19:29 Mike Frysinger
2016-03-22  6:51 Patrick McLean
2015-12-03 19:01 Patrick McLean
2015-09-22  4:39 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653667550.11a9a9dae6476c69f140bbf2938e75b6b11c3959.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox